require 'jisota'

Jisota.global_config do
  package :gem_install do
    description "Installs a gem"
    param :gem_name, required: true
    param :sudo, default: true

    run do
      cmd "#{sudo ? "sudo " : ""}gem install #{gem_name} --no-document"
    end

    verify do
      cmd "#{sudo ? "sudo " : ""}gem list #{gem_name} --installed"
    end
  end
end
