module Jisota
  ##
  # Part of the Script duck type
  #
  # Stores a single shell command that can be executed
  class CommandScript
    attr_accessor :command

    def initialize(command)
      @command = command
    end

    def execute(context)
      exit_code = context.command(command)
      exit_code == 0
    end
  end
end
