require 'jisota'

Jisota.global_config do
  package :apt do
    description "Installs packages with apt-get"
    param :packages, required: true, splat: true

    run do
      cmd "sudo apt-get install -y #{packages.join(" ")}"
    end

    verify do
      cmd "dpkg -s #{packages.join(" ")}"
    end
  end
end

