require 'jisota'

Jisota.global_config do
  package :nginx do
    description "Install nginx from apt"
    param :config_file

    section "Install nginx aåt package"
    run { apt :nginx }

    section "Files"
    run do
      if config_file
        upload from: config_file, to: '/etc/nginx/nginx.conf' do
          update { cmd "sudo service nginx restart || true" }
        end
      end
    end

    section "Start nginx"
    run { cmd "sudo service nginx start" }
    verify { cmd "ps -C nginx" }
  end
end

