require 'net/ssh'

module Jisota
  class SSHEngine
    def initialize(options = {})
      @engine = options.fetch(:engine) { Net::SSH }
    end

    def start(user: , host: , **options)
      @engine.start(host, user, options) do |ssh_session|
        yield SSHSession.new(ssh_session)
      end
    end
  end
end
